%define anolis_release 2

Name:           dmidecode
Version:        3.4
Release:        %{anolis_release}%{?dist}
Summary:        Tool to analyse BIOS DMI data

License:        GPLv2+
URL:            https://www.nongnu.org/dmidecode/
Source0:        https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make
ExclusiveArch:  x86_64 aarch64

%description
dmidecode reports information about x86 & ia64 hardware as described in the
system BIOS according to the SMBIOS/DMI standard. This information
typically includes system manufacturer, model name, serial number,
BIOS version, asset tag as well as a lot of other details of varying
level of interest and reliability depending on the manufacturer.

This will often include usage status for the CPU sockets, expansion
slots (e.g. AGP, PCI, ISA) and memory module slots, and the list of
I/O ports (e.g. serial, parallel, USB).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"

%install
%make_install %{?_smp_mflags} prefix=%{_prefix} install-bin install-man
rm -f %{buildroot}/%{_datadir}/doc/%{name}/*

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_sbindir}/dmidecode
%{abidir}/dmidecode-option.list
%ifarch x86_64
%{_sbindir}/vpddecode
%{_sbindir}/ownership
%{_sbindir}/biosdecode
%{abidir}/vpddecode-option.list
%{abidir}/ownership-option.list
%{abidir}/biosdecode-option.list
%endif
%{_mandir}/man8/*

%files doc
%doc AUTHORS NEWS README

%changelog
* Thu Dec 22 2022 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 3.4-2
- add abi/api info

* Mon Sep 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.4-1
- update to 3.4

* Tue Mar 01 2022 Su Lifan <su-lifan@linux.alibaba.com> - 3.3-1
- Initial packaging for Anolis 23
